Bug 701271 - read-toc causes entire computer to freeze
read-toc causes entire computer to freeze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrdao (Show other bugs)
14
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 07:58 EDT by carl
Modified: 2012-08-16 09:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carl 2011-05-02 07:58:30 EDT
Description of problem:

when ripping certain CDs, every time the entire computer freezes when running cdrdao read-toc. requires a hard power off to continue. most CDs cause no problems at all however.


Version-Release number of selected component (if applicable):

cdrdao.x86_64 1.2.3-7.fc14


How reproducible:

Every time, for particular CDs


Steps to Reproduce:
1. with a CD like my version of sabbath bloody sabbath... 
2.run a command like:
cdrdao read-toc --device /dev/sr0 --session 1 --fast-toc /tmp/tmpXY0QNR.readtablesession.morituri
3.
  
Actual results:

computer locks up completely


Expected results:

does whatever this is meant to do...


Additional info:

I got the particular command line from the tool I am using to rip the CD - http://thomas.apestaart.org/morituri/trac/
Comment 1 Honza Horak 2011-05-02 10:11:42 EDT
Unfortunately, I'm not able to reproduce this failure with any of my CDs. Can you attach the output of the command "cdrdao disk-info"?
Comment 2 carl 2011-05-03 02:49:30 EDT
I thought that would probably be the case. here is the output:

[carl@boxo ~]$ cdrdao disk-info
Cdrdao version 1.2.3 - (C) Andreas Mueller <andreas@daneb.de>
/dev/sr0: PIONEER DVD-RW  DVR-109	Rev: 1.58
Using driver: Generic SCSI-3/MMC - Version 2.0 (options 0x0000)

That data below may not reflect the real status of the inserted medium
if a simulation run was performed before. Reload the medium in this case.

CD-RW                : no
Total Capacity       : n/a
CD-R medium          : n/a
Recording Speed      : n/a
CD-R empty           : no
Toc Type             : CD-DA or CD-ROM
Sessions             : 1
Last Track           : 8
Appendable           : no
[carl@boxo ~]$
Comment 3 Honza Horak 2011-05-03 09:16:12 EDT
The bug has been forwarded to upstream: https://sourceforge.net/tracker/?func=detail&aid=3296903&group_id=2171&atid=102171
Comment 4 Fedora End Of Life 2012-08-16 09:22:30 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.